Loading...
Searching...
No Matches
fat.c File Reference

## Functions

PedFileSystem * | fat_alloc (const PedGeometry *geom)
void | fat_free (PedFileSystem *fs)
PedGeometry * | fat_probe (PedGeometry *geom, FatType *fat_type)
PedGeometry * | fat_probe_fat16 (PedGeometry *geom)
PedGeometry * | fat_probe_fat32 (PedGeometry *geom)
void | ped_file_system_fat_done ()
void | ped_file_system_fat_init ()

## Variables

PedFileSystemType | fat16_type
PedFileSystemType | fat32_type

## Function Documentation

## fat_alloc()

PedFileSystem * fat_alloc | ( | const PedGeometry * | geom | ) |

## fat_free()

void fat_free | ( | PedFileSystem * | fs | ) |

## fat_probe()

PedGeometry * fat_probe | ( | PedGeometry * | geom,
|  | FatType * | fat_type )

## fat_probe_fat16()

PedGeometry * fat_probe_fat16 | ( | PedGeometry * | geom | ) |

## fat_probe_fat32()

PedGeometry * fat_probe_fat32 | ( | PedGeometry * | geom | ) |

## ped_file_system_fat_done()

void ped_file_system_fat_done | ( | void |  | ) |

## ped_file_system_fat_init()

void ped_file_system_fat_init | ( | void |  | ) |

## Variable Documentation

## fat16_type

PedFileSystemType fat16_type

Initial value:
= {
next: NULL,
ops: &fat16_ops,
name: "fat16",
}
name
char name[16]
Definition pc98.c:13

## fat32_type

PedFileSystemType fat32_type

Initial value:
= {
next: NULL,
ops: &fat32_ops,
name: "fat32",
}